Instalación en Linux

www.altova.com Expandir/Contraer todos Imprimir este apartado Página anterior Subir un nivel Página siguiente

Inicio >  Instalar RaptorXML+XBRL Server > Instalación y configuración en Linux >

Instalación en Linux

El proceso de instalación y configuración de RaptorXML+XBRL Server en Linux se describe a continuación.

 

Haga clic para expandir/contraerRequisitos del sistema
CentOS 6 o superior
RedHat 6 o superior
Debian 8 o superior
Ubuntu 14.04 o superior

 

Las bibliotecas que aparecen a continuación son un requisito previo para la instalación y ejecución de la aplicación. Si los paquetes que aparecen en esta tabla no están en su equipo Linux, ejecute el comando yum (o apt-get si procede) para instalarlos.

 

Requisito para

CentOS, RedHat

Debian

Ubuntu

LicenseServer

krb5-libs

libgssapi-krb5-2

libgssapi-krb5-2

RaptorXML+XBRL Server

qt4, krb5-libs, qt-x11

libqtcore4, libqtgui4, libgssapi-krb5-2

libqtcore4, libqtgui4, libgssapi-krb5-2

 

Nota: si quiere usar la función de gráficos de Altova, entonces debe haber al menos una fuente instalada en su sistema para que los gráficos se muestren correctamente. Para ver una lista de las fuentes instaladas use, por ejemplo, el comando fc-list de la Fontconfig library.

 

Nota: en el servidor Ubuntu 18.04.1 LTS es necesario habilitar el apt del repositorio universe (con el comando sudo add-apt-repository universe). Tras esta actualización se puede instalar libqtgui4.

 

 

Clic para expandir/contraer Integración con FlowForce Server

Si está instalando RaptorXML+XBRL Server junto con FlowForce Server, recomendamos instalar primero FlowForce Server. Si no lo hace así, después de instalar RaptorXML+XBRL Server y FlowForce Server, ejecute este comando:

 

cp /opt/Altova/RaptorXMLXBRLServer2019/etc/*.tool /opt/Altova/FlowForceServer2019/tools

 

Este comando copia el archivo .tool del directorio /etc de RaptorXML+XBRL Server al directorio /tools de FlowForce Server. El archivo .tool es un archivo que FlowForce Server necesita porque contiene la ruta de acceso del ejecutable de RaptorXML+XBRL Server. Si instala FlowForce Server antes que RaptorXML+XBRL Server entonces no es necesario ejecutar este comando.

 

 

Clic para expandir/contraerNota sobre el usuario raíz

Debe tener privilegios de administrador (root) para poder instalar RaptorXML+XBRL Server. Por tanto, la instalación debe realizarla el usuario raíz. Si inició sesión como root, puede omitir la palabra clave sudo de los comandos que aparecen más abajo.

 

 

Haga clic para expandir/contraerDesinstalar versiones antiguas de los productos servidor de Altova

En la interfaz de la línea de comandos de Linux puede comprobar si ya hay productos servidor de Altova instalados en el equipo. Para ello use este comando:

[Debian, Ubuntu]:   dpkg --list | grep Altova

[CentOS, RedHat]:   rpm -qa | grep server

 

Si RaptorXML+XBRL Server no está instalado, continúe con la instalación tal y como se describe más abajo.

 

Si RaptorXML+XBRL Server ya está instalado y quiere instalar una versión más reciente, antes debe desinstalar la versión previa con este comando:

[Debian, Ubuntu]:   sudo dpkg --remove raptorxmlxbrlserver

[CentOS, RedHat]:   sudo rpm -e raptorxmlxbrlserver

 

Si quiere desinstalar una versión previa de Altova LicenseServer, use este comando:

[Debian, Ubuntu]:   sudo dpkg --remove licenseserver

[CentOS, RedHat]:   sudo rpm -e licenseserver

 

 

Haga clic para expandir/contraerDescargar el paquete de instalación para Linux

Los paquetes de instalación de RaptorXML+XBRL Server para sistemas Linux se pueden descargar del sitio web de Altova.

 

Distribución

Extensión del paquete

Debian

.deb

Ubuntu

.deb

CentOS

.rpm

RedHat

.rpm

 

Tras descargarlo, copie el paquete de instalación en cualquier directorio del sistema Linux. Para ejecutar RaptorXML+XBRL Server es necesario tener instalado Altova LicenseServer, que también se puede descargar del sitio web de Altova.

 

 

Haga clic para expandir/contraerInstalar RaptorXML+XBRL Server

En una ventana de la Terminal, cambie al directorio donde copió el paquete de instalación para Linux. Por ejemplo, si lo copió en un directorio del usuario llamado MiAltova (ubicado en /home/User por ejemplo), cambie a ese directorio con esta línea de comandos:

 

cd /home/User/MiAltova

 

Instale RaptorXML+XBRL Server con este comando:

[Debian]:   sudo dpkg --install raptorxmlxbrlserver-2019-debian.deb

[Ubuntu]:   sudo dpkg --install raptorxmlxbrlserver-2019-ubuntu.deb

[CentOS]:   sudo rpm -ivh raptorxmlxbrlserver-2019-1.x86_64.rpm

[RedHat]:   sudo rpm -ivh raptorxmlxbrlserver-2019-1.x86_64.rpm

 

La aplicación RaptorXML+XBRL Server se instala en este directorio:

 

/opt/Altova/RaptorXMLXBRLServer2019

 

 

Haga clic para expandir/contraerAltova LicenseServer

Para poder ejecutar los productos servidores de Altova, incluido RaptorXML+XBRL Server, es necesario asignarles una licencia con un servidor Altova LicenseServer de la red.

 

En los sistemas Linux es necesario instalar Altova LicenseServer por separado. Por tanto, descargue Altova LicenseServer del sitio web de Altova y copie el paquete de instalación en cualquier directorio. Siga las instrucciones anteriores para instalar LicenseServer (ver apartado anterior).

 

[Debian]:   sudo dpkg --install licenseserver-3.2-debian.deb

[Ubuntu]:   sudo dpkg --install licenseserver-3.2-ubuntu.deb

[CentOS]:   sudo rpm -ivh licenseserver-3.2-1.x86_64.rpm

[RedHat]:   sudo rpm -ivh licenseserver-3.2-1.x86_64.rpm

 

La aplicación LicenseServer se instala en este directorio:

 

/opt/Altova/LicenseServer

 

Consulte el apartado siguiente Asignación de licencias en Linux para obtener información sobre cómo registrar RaptorXML+XBRL Server con Altova LicenseServer y asignarle licencias. Consulte también la documentación del LicenseServer para información más detallada.

 

 

Haga clic para expandir/contraerVersiones de LicenseServer
Los productos servidor de Altova deben tener una licencia con la versión de LicenseServer correspondiente a la versión de RaptorXML+XBRL Server instalada o con una versión posterior de LicenseServer.
La versión de LicenseServer correspondiente a la versión de RaptorXML+XBRL Server aparece en pantalla durante la instalación de RaptorXML+XBRL Server. Puede instalar esta versión de LicenseServer junto con RaptorXML+XBRL Server o puede instalar LicenseServer por separado.
Antes de instalar una versión nueva de LicenseServer, es necesario desinstalar versiones anteriores. El programa de instalación de LicenseServer se encarga de esto automáticamente si detecta versiones más recientes en el sistema.
Las versiones de LicenseServer son compatibles y funcionan con versiones más antiguas de RaptorXML+XBRL Server.
Si instala una versión nueva de RaptorXML+XBRL Server y la versión de LicenseServer que está instalada es anterior a la que le corresponde, instale la versión más reciente que está siempre disponible en el sitio web de Altova.
Cuando se desinstala LicenseServer, todos los datos de registro y asignación de licencias almacenados en la versión antigua de LicenseServer se guardan en una base de datos en el equipo servidor. Estos datos se importan de forma automática a la siguiente versión que se instale en el equipo.
El número de versión de LicenseServer siempre aparece al final de la página de configuración de LicenseServer.

 

Versión actual: 3.2

 

 


© 2019 Altova GmbH